umbrello: CodeImportingWizard Class Reference

umbrello 2.39.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
CodeImportingWizard Class Reference

`#include <codeimportingwizard.h>`

Inheritance diagram for CodeImportingWizard:

## Public Types
enum | { SelectionPage , StatusPage }

## Public Member Functions
| CodeImportingWizard ()
| ~CodeImportingWizard ()
void | setupPages ()
QList< QFileInfo > | selectedFiles ()

## Private Member Functions
QWizardPage * | createSelectionPage ()
QWizardPage * | createStatusPage ()

## Private Attributes
CodeImpSelectPage * | m_SelectionPage
CodeImpStatusPage * | m_StatusPage

## Detailed Description

Author
  Andi Fischer

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
SelectionPage |
StatusPage |

## Constructor & Destructor Documentation

## ◆ CodeImportingWizard()

CodeImportingWizard::CodeImportingWizard | ( |  | ) |

Constructor. Sets up the wizard but does not load the wizard pages. Each wizard page has its own class. Loading of the wizard pages needs to be done in separate step because it is too early to do that within the constructor (`this` not finalized). See https://bugs.kde.org/show_bug.cgi?id=479224

## ◆ ~CodeImportingWizard()

CodeImportingWizard::~CodeImportingWizard | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ createSelectionPage()

QWizardPage * CodeImportingWizard::createSelectionPage | ( |  | ) |
| private

Creates the class selection page.

Parameters

  classList | the list of classes, which have to be imported

Returns
  the wizard page

## ◆ createStatusPage()

QWizardPage * CodeImportingWizard::createStatusPage | ( |  | ) |
| private

Creates the code importing status page, which shows the progress of the import process.

Returns
  the wizard page

## ◆ selectedFiles()

QList< QFileInfo > CodeImportingWizard::selectedFiles | ( |  | ) |

Returns a list, which contains the classes for importing. With this function the list of classes to import can be transferred from the select page to the status page.

Returns
  the file info list

## ◆ setupPages()

void CodeImportingWizard::setupPages | ( |  | ) |

Set up the SelectionPage and the StatusPage. This needs to be called after constructing the CodeImportingWizard.

## Member Data Documentation

## ◆ m_SelectionPage

CodeImpSelectPage* CodeImportingWizard::m_SelectionPage
| private

## ◆ m_StatusPage

CodeImpStatusPage* CodeImportingWizard::m_StatusPage
| private

The documentation for this class was generated from the following files:

- umbrello/codeimpwizard/codeimportingwizard.h
- umbrello/codeimpwizard/codeimportingwizard.cpp